> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List email drafts

> List email draft messages pending human review with cursor-based pagination



## OpenAPI

````yaml get /api/v1/email/drafts
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/email/drafts:
    get:
      tags:
        - Email
      summary: List email drafts
      description: >-
        List email draft messages pending human review with cursor-based
        pagination
      parameters:
        - schema:
            type: string
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: agentId
          in: query
      responses:
        '200':
          description: List of email drafts
          content:
            application/json:
              schema:
                type: object
                properties:
                  drafts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        threadId:
                          type: string
                        direction:
                          type: string
                          enum:
                            - INBOUND
                            - OUTBOUND
                        status:
                          type: string
                          enum:
                            - QUEUED
                            - SENDING
                            - SENT
                            - DELIVERED
                            - OPENED
                            - BOUNCED
                            - FAILED
                            - SPAM
                            - RECEIVED
                            - DRAFT
                        messageId:
                          type: string
                          nullable: true
                        fromAddress:
                          type: string
                          nullable: true
                        toAddress:
                          type: string
                          nullable: true
                        ccAddresses:
                          type: string
                          nullable: true
                        subject:
                          type: string
                          nullable: true
                        inReplyTo:
                          type: string
                          nullable: true
                        bodyText:
                          type: string
                          nullable: true
                        bodyHtml:
                          type: string
                          nullable: true
                        classification:
                          type: string
                          nullable: true
                          enum:
                            - SPAM
                            - OUT_OF_OFFICE
                            - AUTO_REPLY
                            - LEGITIMATE
                        classificationScore:
                          type: number
                          nullable: true
                        classifiedAt:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        thread:
                          type: object
                          properties:
                            id:
                              type: string
                            agentId:
                              type: string
                            agentVersionId:
                              type: string
                            toEmail:
                              type: string
                            fromEmail:
                              type: string
                              nullable: true
                            fromName:
                              type: string
                              nullable: true
                            subject:
                              type: string
                              nullable: true
                          required:
                            - id
                            - agentId
                            - agentVersionId
                            - toEmail
                            - fromEmail
                            - fromName
                            - subject
                      required:
                        - id
                        - threadId
                        - direction
                        - status
                        - messageId
                        - fromAddress
                        - toAddress
                        - ccAddresses
                        - subject
                        - inReplyTo
                        - bodyText
                        - bodyHtml
                        - classification
                        - classificationScore
                        - classifiedAt
                        - createdAt
                        - updatedAt
                        - thread
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: number
                        minimum: 1
                        maximum: 100
                        default: 10
                      nextCursor:
                        type: string
                required:
                  - drafts
                  - pagination
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````